Package ru.bitel.bgbilling.modules.mps.server.bean.protocol

# Class ColomnaTransactionManager

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager
ru.bitel.bgbilling.modules.mps.server.bean.protocol.GenericOSMPTransactionManager
ru.bitel.bgbilling.modules.mps.server.bean.protocol.ColomnaTransactionManager

    public class ColomnaTransactionManager
    extends GenericOSMPTransactionManager

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.GenericOSMPTransactionManager

  `GenericOSMPTransactionManager.ERCPaymentManager, GenericOSMPTransactionManager.MGPEPaymentManager`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `nameAccount` |
  `protected java.lang.String` | `nameCommand` |
  `protected java.lang.String` | `nameTxnDate` |
  `protected java.lang.String` | `nameTxnID` |
  `protected java.lang.String` | `resultPrvTxnID` |
  `protected java.lang.String` | `resultTxnID` |
  `protected static java.lang.String` | `TIMEPATTERN` |
  `protected static java.util.regex.Pattern` | `TRANSACTION_PATTERN` |

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `ACTION_CANCEL, ACTION_CHANGE, ACTION_CHECK, ACTION_PAY, ACTION_PAY_ON_CHECK, ACTION_STATUS, documentBuilder, ERROR_MPS_CONTRACT_NOTFOUND, ERROR_MPS_DATA, ERROR_MPS_DATE, ERROR_MPS_DATE_FIELD, ERROR_MPS_EDIT_NOT_SUPPORTED, ERROR_MPS_HASH, ERROR_MPS_ISOFF, ERROR_MPS_NUMBER_PATTERN, ERROR_MPS_OUT_OF_MONEY, ERROR_MPS_PAY_EXIST, ERROR_MPS_PAY_NOTEXIST, ERROR_MPS_REQUEST, ERROR_MPS_SERVER, ERROR_MPS_SUM_BIG, ERROR_MPS_SUM_SMALL, ERROR_MPS_SUM_TOOSMALLORBIG, ERROR_MPS_TRANSACTION_ID_FIELD, ERROR_MPS_TYPE, KEY_RESPONSE_PARAMETERS, log, MPS_CYBERPLAT, MPS_FROMGATEWAY, MPS_OSMP, p1, p2, p3, pNumber, REQUEST_ATTRIBUTE_PARAMETERS, REQUEST_ATTRIBUTE_PATH_INFO`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ColomnaTransactionManager()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `checkValid​(Conf.MPSSystem system, MPSRequest req, java.sql.Connection con)` | Проверка на валидность запроса
  `java.lang.String` | `getDefaultEncoding()` |
  `protected java.util.regex.Pattern` | `getFilePattern()` |
  `protected java.lang.String` | `getFileTimePattern()` |
  `protected byte[]` | `getResponse​(java.sql.Connection con, Conf.MPSSystem system, MPSResponse response)` | Формирование сырого ответа системе из MPSResponse
  `protected java.util.List<Transaction>` | `getTransactionListFromFile​(Conf.MPSSystem system, java.lang.String file)` |
  `protected MPSRequest` | `parseRequest​(java.sql.Connection con, int moduleId, java.lang.String mpsId, Conf.MPSSystem system, javax.servlet.http.HttpServletRequest request)` | Парсинг запроса от системы
  `protected void` | `processError​(MPSException ex, MPSResponse response)` | Обработка ошибки
  `protected byte[]` | `processRequest​(java.sql.Connection con, int moduleId, java.lang.String mpsId, Conf conf, Conf.MPSSystem system, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` | Обработка запроса от системы

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `actionCheck, addTransaction, addTransaction, addTransaction, cancelPreparedTransaction, cancelTransaction, checkTime, clearCanceledTransaction, createTemporaryTable, executePreparedTransaction, executePreparedTransaction, executePreparedTransaction, findContract, getComment, getContractTitle, getEncoding, getInstance, getResponseAttributes, getTable, getTransactionByTransId, getTransactionByTransId, getTransactionByTransId, getTransactionFromRS, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionListForDay, getTransactionListFromFileByConfig, getTransactionListFromFileByPattern, getUserLogin, getUserLoginFormatted, onPayment, parseBigInteger, prepareTransaction, prepareTransaction, prepareTransaction, preProcess, processRegister, processRegister, processRequest, processResponseEvent, reviseAddTransactions, reviseCancelTransactions, reviseRestoreTransactions, searchTransactionList, setEncoding, setResponseParameters, setUserLogin, systemAccountAdd, systemAccountDelete, xmlSerialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TIMEPATTERN

    protected static final java.lang.String TIMEPATTERN
    See Also:
      Constant Field Values

  - ### nameCommand

    protected java.lang.String nameCommand

  - ### nameAccount

    protected java.lang.String nameAccount

  - ### nameTxnID

    protected java.lang.String nameTxnID

  - ### nameTxnDate

    protected java.lang.String nameTxnDate

  - ### resultTxnID

    protected java.lang.String resultTxnID

  - ### resultPrvTxnID

    protected java.lang.String resultPrvTxnID

  - ### TRANSACTION_PATTERN

    protected static final java.util.regex.Pattern TRANSACTION_PATTERN

- ## Constructor Details

  - ### ColomnaTransactionManager

    public ColomnaTransactionManager()

- ## Method Details

  - ### getResponse

    protected byte[] getResponse​(java.sql.Connection con, Conf.MPSSystem system, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Формирование сырого ответа системе из MPSResponse

  - ### getDefaultEncoding

    public java.lang.String getDefaultEncoding()
    Overrides:
      `getDefaultEncoding` in class `MPSTransactionManager`

  - ### processRequest

    protected byte[] processRequest​(java.sql.Connection con, int moduleId, java.lang.String mpsId, Conf conf, Conf.MPSSystem system, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка запроса от системы
    Specified by:
      `processRequest` in class `MPSTransactionManager`

  - ### parseRequest

    protected MPSRequest parseRequest​(java.sql.Connection con, int moduleId, java.lang.String mpsId, Conf.MPSSystem system, javax.servlet.http.HttpServletRequest request)
    Description copied from class: `MPSTransactionManager`
    Парсинг запроса от системы
    Specified by:
      `parseRequest` in class `MPSTransactionManager`

  - ### checkValid

    protected void checkValid​(Conf.MPSSystem system, MPSRequest req, java.sql.Connection con) throws MPSException
    Description copied from class: `MPSTransactionManager`
    Проверка на валидность запроса
    Overrides:
      `checkValid` in class `MPSTransactionManager`
    Throws:
      `MPSException`

  - ### processError

    protected void processError​(MPSException ex, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка ошибки
    Specified by:
      `processError` in class `MPSTransactionManager`

  - ### getTransactionListFromFile

    protected java.util.List<Transaction> getTransactionListFromFile​(Conf.MPSSystem system, java.lang.String file)
    Specified by:
      `getTransactionListFromFile` in class `MPSTransactionManager`

  - ### getFilePattern

    protected java.util.regex.Pattern getFilePattern()

  - ### getFileTimePattern

    protected java.lang.String getFileTimePattern()